ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Einschalten");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.30, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.75, 0.02, "- Agroliner ITS 26 info -");
		renderText(0.72, 0.73, 0.02, "Taste K: Arm hoch");
		renderText(0.72, 0.71, 0.02, "Taste L: Arm runter");
		renderText(0.72, 0.69, 0.02, "Taste Numpad 8: Abhaengen sperren");
		renderText(0.72, 0.67, 0.02, "Taste Numpad 9: Liftachse Hoch/runter");
		renderText(0.72, 0.65, 0.02, "--Achtung--");
		renderText(0.72, 0.63, 0.02, "Bei anhaengen muss beim LKW");
		renderText(0.72, 0.61, 0.02, "anhaengen gesperrt sein!");
        renderText(0.72, 0.59, 0.02, "sonst funktioniert der Arm nicht");
        renderText(0.72, 0.57, 0.02, "      www.ls2011.org            ");               
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




